# -*- coding: utf-8 -*-
"""Python GnuCash SQL interface"""

# import metadata

# from .model_core import (
# Book, Account,
#     Commodity,
#     Transaction, Split,
# )
#
# __version__ = metadata.version
# __author__ = metadata.authors[0]
# __license__ = metadata.license
# __copyright__ = metadata.copyright
#
# __all__ = [Book, Account, Commodity, Transaction, Split]
from .model_common import get_active_session, GncNoActiveSession, GnucashException
from .model_core import (Book, open_book, create_book,
                         Account, ACCOUNT_TYPES,
                         Transaction, Split,
                         Commodity, Price
)
from .model_business import Lot  # must import as Transaction has a relation to it
from .model_budget import Budget, BudgetAmount
from .kvp import slot
from .metadata import version as __version__
